+++
title = "Title of the pattern"
weight = 1180
+++
This is a guideline, some parts are optional (if there's no content, remove the whole paragraph).

<_Created by (company), Described by (company)_\>

## Abstract

Short, descriptive and easy to remember description of this pattern.

## Context: 

Sets the stage where the pattern takes place. 1-2 sentences.

## Problem: 

What happens before this pattern is used? How can it go wrong? 1-5 lines.

## Description

In depth description on what this Pattern is all about
- basic components
- how the interact
- steps to implement
- considerations to take

## Usage: 

If applicable: where is it used in an app.  You can refer to any app, BaseApp, or a (public) ISV app.

## Benefits:

1-2 sentences: what did you just solve

## When not to use

Usually, there are occasions where NOT to implement the pattern.  List the disadvantages of this pattern here.

## List of references

Youtube-link? BaseApp? Tweet? ...
